﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.ServiceRuntime;
using Microsoft.WindowsAzure.StorageClient;
using SmarxToDo_Web.Models;

namespace SmarxToDo_Web.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Undone()
        {
            var account = CloudStorageAccount.Parse(RoleEnvironment.GetConfigurationSettingValue("DataConnectionString"));
            var ctx = account.CreateCloudTableClient().GetDataServiceContext();
            var query = ctx.CreateQuery<TaskEntity>("Tasks")
                .Where(t => t.PartitionKey == string.Empty && !t.Completed).AsTableServiceQuery();
            return View(query);
        }
    }
}
