﻿using Microsoft.WindowsAzure.StorageClient;
using System;

namespace SmarxToDo_Web.Models
{
    public class TaskEntity : TableServiceEntity
    {
        public string Task { get; set; }
        public bool Completed { get; set; }

        public TaskEntity() { }
        public TaskEntity(string task) :
            base(string.Empty, (DateTime.MaxValue - DateTime.UtcNow).Ticks.ToString("d19") + Guid.NewGuid().ToString())
        {
            Task = task;
            Completed = false;
        }
    }
}